Bug 28229 - Hide clubs from place a hold screen if no clubs exist
Summary: Hide clubs from place a hold screen if no clubs exist
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-26 14:42 UTC by Andrew Fuerste-Henry
Modified: 2021-05-25 14:36 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.06,20.05.12


Attachments
Bug 28229: Only show clubs on request.tt if clubs exist (5.05 KB, patch)
2021-05-05 21:31 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 28229: Only show clubs on request.tt if clubs exist (5.10 KB, patch)
2021-05-07 11:28 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28229: (follow-up) Adjust for easier translation (1.65 KB, patch)
2021-05-07 11:28 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28229: (follow-up) Adjust for easier translation (1.70 KB, patch)
2021-05-07 18:47 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 28229: Only show clubs on request.tt if clubs exist (5.15 KB, patch)
2021-05-09 10:27 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 28229: (follow-up) Adjust for easier translation (1.76 KB, patch)
2021-05-09 10:27 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 28229: Count only if needed (1.22 KB, patch)
2021-05-10 10:09 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2021-04-26 14:42:33 UTC
When placing a hold, one always sees the option to search for a club rather than a patron. We should hide that Clubs tab if no clubs exist in the system.
Comment 1 Lucas Gass 2021-05-05 21:31:33 UTC
Created attachment 120573 [details] [review]
Bug 28229: Only show clubs on request.tt if clubs exist

1. Have no existing clubs
2. Apply patch
3. Go to request.tt and you will not see the club tab or any mention of clubs
4. Create at least 1 club
5. Go back to request.tt and now see the tab for clubs
6. Make sure you can place holds as an individual with and without clubs.
7. Make sure you can place holds for clubs.
8. rejoice and sign-off
Comment 2 Owen Leonard 2021-05-07 11:28:35 UTC
Created attachment 120681 [details] [review]
Bug 28229: Only show clubs on request.tt if clubs exist

1. Have no existing clubs
2. Apply patch
3. Go to request.tt and you will not see the club tab or any mention of clubs
4. Create at least 1 club
5. Go back to request.tt and now see the tab for clubs
6. Make sure you can place holds as an individual with and without clubs.
7. Make sure you can place holds for clubs.
8. rejoice and sign-off

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Owen Leonard 2021-05-07 11:28:38 UTC
Created attachment 120682 [details] [review]
Bug 28229: (follow-up) Adjust for easier translation

I think moving the [% IF %] out of the HTML tag makes for easier
translation.
Comment 4 Lucas Gass 2021-05-07 18:47:54 UTC
Created attachment 120715 [details] [review]
Bug 28229: (follow-up) Adjust for easier translation

I think moving the [% IF %] out of the HTML tag makes for easier
translation.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 5 Katrin Fischer 2021-05-09 10:27:11 UTC
Created attachment 120729 [details] [review]
Bug 28229: Only show clubs on request.tt if clubs exist

1. Have no existing clubs
2. Apply patch
3. Go to request.tt and you will not see the club tab or any mention of clubs
4. Create at least 1 club
5. Go back to request.tt and now see the tab for clubs
6. Make sure you can place holds as an individual with and without clubs.
7. Make sure you can place holds for clubs.
8. rejoice and sign-off

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Katrin Fischer 2021-05-09 10:27:16 UTC
Created attachment 120730 [details] [review]
Bug 28229: (follow-up) Adjust for easier translation

I think moving the [% IF %] out of the HTML tag makes for easier
translation.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Katrin Fischer 2021-05-09 10:27:40 UTC
Really nice enh for libraries not using the club feature - cutting down on confusion.
Comment 8 Jonathan Druart 2021-05-10 10:09:05 UTC
Created attachment 120762 [details] [review]
Bug 28229: Count only if needed

We don't need to count the number of clubs if we selected a patron or
club already
Comment 9 Jonathan Druart 2021-05-10 14:19:01 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 10 Fridolin Somers 2021-05-12 14:37:27 UTC
Pushed to 20.11.x for 20.11.06
Comment 11 Andrew Fuerste-Henry 2021-05-25 12:34:19 UTC
Pushed to 20.05.x for 20.05.12
Comment 12 Victor Grousset/tuxayo 2021-05-25 14:36:25 UTC
Not backported to oldoldstable (19.11.x). Feel free to ask if it's needed.